> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-vector/edit-saved-data.md).

# Edit saved data

| **Description** | Edits the saved data of a vector layer. |
| --------------- | --------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/save`            |
| **Method**      | POST                                    |

### Access Level Rules

| **Access Level** | edit+ |
| ---------------- | ----- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th width="208">Name</th><th width="200">Description</th><th width="150">Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>activateSeriesHistory</code></td><td>Boolean whether the history of the time series should be saved.</td><td>false</td><td>Default null.</td></tr><tr><td><code>activateActionsBounds</code></td><td>Boolean whether the change log of the features should be searchable using tiles or geographic bounds.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/edit-saved-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
